//
//  HomeNavViewModel.swift
//  PhoneManager
//
//  Created by edy on 2025/3/28.
//

import Foundation


class HomeNavViewModel{
    
    func pushToDetailController(currentView : UIView, destnationController: BaseViewController) {
        let navigationController =  currentView.responderViewController()?.navigationController
        navigationController?.pushViewController(destnationController, animated: true)
        
    }
    
    func presentToDetailController(currentView : UIView, destnationController: UIViewController) {
        let vc =  currentView.responderViewController()?.navigationController
        vc?.present(destnationController, animated: true)
        
    }
    
}
